## com.artofsolving.jodconverter
Interface DocumentConverter

All Known Implementing Classes:
  AbstractOpenOfficeDocumentConverter, OpenOfficeDocumentConverter, StreamOpenOfficeDocumentConverter

    public interface DocumentConverter

Method Summary
`void` `convert(java.io.File inputFile, DocumentFormat inputFormat, java.io.File outputFile, DocumentFormat outputFormat)` Convert a document.
`void` `convert(java.io.File inputDocument, java.io.File outputDocument)` Convert a document.
`void` `convert(java.io.File inputDocument, java.io.File outputDocument, DocumentFormat outputFormat)` Convert a document.
`void` `convert(java.io.InputStream inputStream, DocumentFormat inputFormat, java.io.OutputStream outputStream, DocumentFormat outputFormat)` Convert a document.

Method Detail

### convert

    void convert(java.io.InputStream inputStream,
                 DocumentFormat inputFormat,
                 java.io.OutputStream outputStream,
                 DocumentFormat outputFormat)

  Convert a document.

  Note that this method does not close `inputStream` and `outputStream`.

  Parameters:
    `inputStream` -
    `inputFormat` -
    `outputStream` -
    `outputFormat` -

### convert

    void convert(java.io.File inputFile,
                 DocumentFormat inputFormat,
                 java.io.File outputFile,
                 DocumentFormat outputFormat)

  Convert a document.

  Parameters:
    `inputFile` -
    `inputFormat` -
    `outputFile` -
    `outputFormat` -

### convert

    void convert(java.io.File inputDocument,
                 java.io.File outputDocument,
                 DocumentFormat outputFormat)

  Convert a document. The input format is guessed from the file extension.

  Parameters:
    `inputDocument` -
    `outputDocument` -
    `outputFormat` -

### convert

    void convert(java.io.File inputDocument,
                 java.io.File outputDocument)

  Convert a document. Both input and output formats are guessed from the file extension.

  Parameters:
    `inputDocument` -
    `outputDocument` -

Copyright © 2003-2009 Art of Solving. All Rights Reserved.